Get content components
Get all components or a specific component type
GET
Get all components
Returns content components (body, SEO metadata, schemas, social snippets, etc.). Optionally filter by component type.
Scope required:
Available component types:
When requesting a single component type, the response returns the component object directly instead of the
content:read
Path parameters
string
required
UUID of the content.
Optional path
Append/{type} to get a single component type. The type parameter is case-insensitive — body, Body, and BODY all work:
body, seoMetadata, pageSlugs, postTags, blogCategories, searchIntent, facebookSnip, twitterSnip, instagramSnip, googleBusinessSnip, videoScript, imagePrompt, articleSchema, authorSchema, organizationSchema, vehicleListingSchema, faqSchema, eventSchema, qaPageSchema, webPageSchema, webSiteSchema, breadcrumbSchema, layout_html.
See Component types for the full reference.
The
body component is returned in its stored form. For rich-text articles that is Markdown. For AI Designed Layout articles it is rendered HTML and always ends with the Hrizn telemetry tag (<div id="hrizn-uuid" data-site-id="…" data-content-id="…" data-content-title="…"></div>). For CMS-ready HTML of any article type, use Get content HTML, which always includes the tag.components array:
Last modified on September 15, 2026
